<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_32) on Fri Nov 16 08:58:54 CET 2012 -->
<META http-equiv="Content-Type" content="text/html; charset=utf8">
<TITLE>
_EOConstanteBudget
</TITLE>

<META NAME="date" CONTENT="2012-11-16">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="_EOConstanteBudget";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/_EOConstanteBudget.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;<A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html" title="class in org.cocktail.peche.entity"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?org/cocktail/peche/entity/_EOConstanteBudget.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="_EOConstanteBudget.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_classes_inherited_from_class_er.extensions.eof.ERXGenericRecord">NESTED</A>&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.cocktail.peche.entity</FONT>
<BR>
Class _EOConstanteBudget</H2>
<PRE>
java.lang.Object
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by ">com.webobjects.eocontrol.EOCustomObject
      <IMG SRC="../../../../resources/inherit.gif" ALT="extended by ">com.webobjects.eocontrol.EOGenericRecord
          <IMG SRC="../../../../resources/inherit.gif" ALT="extended by ">er.extensions.eof.ERXGenericRecord
              <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>org.cocktail.peche.entity._EOConstanteBudget</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD>com.webobjects.eocontrol._EOPrivateMemento, com.webobjects.eocontrol.EODeferredFaulting, com.webobjects.eocontrol.EOEnterpriseObject, com.webobjects.eocontrol.EOFaulting, com.webobjects.eocontrol.EOKeyValueCoding, com.webobjects.eocontrol.EOKeyValueCoding._BestBindingCreation._ForwardingBindingCheck, com.webobjects.eocontrol.EOKeyValueCoding._KeyBindingCreation, com.webobjects.eocontrol.EOKeyValueCodingAdditions, com.webobjects.eocontrol.EORelationshipManipulation, com.webobjects.eocontrol.EOValidation, com.webobjects.foundation.NSKeyValueCoding, com.webobjects.foundation.NSKeyValueCoding._KeyBindingCreation, com.webobjects.foundation.NSKeyValueCoding._ReflectionKeyBindingCreation.Callback, com.webobjects.foundation.NSKeyValueCoding.ErrorHandling, com.webobjects.foundation.NSKeyValueCodingAdditions, com.webobjects.foundation.NSValidation, er.extensions.eof.ERXDatabaseContextDelegate.AutoBatchFaultingEnterpriseObject, er.extensions.eof.ERXEnterpriseObject, er.extensions.eof.ERXGeneratesPrimaryKeyInterface, er.extensions.eof.ERXGuardedObjectInterface, er.extensions.eof.ERXKey.ValueCoding, er.extensions.eof.ERXNonNullObjectInterface, java.io.Serializable</DD>
</DL>
<DL>
<DT><B>Direct Known Subclasses:</B> <DD><A HREF="../../../../org/cocktail/peche/entity/EOConstanteBudget.html" title="class in org.cocktail.peche.entity">EOConstanteBudget</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public abstract class <B>_EOConstanteBudget</B><DT>extends er.extensions.eof.ERXGenericRecord</DL>
</PRE>

<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../serialized-form.html#org.cocktail.peche.entity._EOConstanteBudget">Serialized Form</A></DL>
<HR>

<P>
<!-- ======== NESTED CLASS SUMMARY ======== -->

<A NAME="nested_class_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Nested Class Summary</B></FONT></TH>
</TR>
</TABLE>
&nbsp;<A NAME="nested_classes_inherited_from_class_er.extensions.eof.ERXGenericRecord"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Nested classes/interfaces inherited from class er.extensions.eof.ERXGenericRecord</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>er.extensions.eof.ERXGenericRecord.ERXGenericRecordClazz&lt;T extends com.webobjects.eocontrol.EOEnterpriseObject&gt;, er.extensions.eof.ERXGenericRecord.InverseRelationshipUpdater, er.extensions.eof.ERXGenericRecord.LocalizedBinding, er.extensions.eof.ERXGenericRecord.TouchingBinding</CODE></TD>
</TR>
</TABLE>
&nbsp;
<A NAME="nested_classes_inherited_from_class_com.webobjects.eocontrol.EOGenericRecord"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Nested classes/interfaces inherited from class com.webobjects.eocontrol.EOGenericRecord</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>com.webobjects.eocontrol.EOGenericRecord._DictionaryBinding, com.webobjects.eocontrol.EOGenericRecord._LazyDictionaryBinding</CODE></TD>
</TR>
</TABLE>
&nbsp;
<A NAME="nested_classes_inherited_from_class_com.webobjects.eocontrol.EOCustomObject"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Nested classes/interfaces inherited from class com.webobjects.eocontrol.EOCustomObject</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>com.webobjects.eocontrol.EOCustomObject._BooleanFieldBinding, com.webobjects.eocontrol.EOCustomObject._FieldBinding, com.webobjects.eocontrol.EOCustomObject._LazyFieldBinding, com.webobjects.eocontrol.EOCustomObject._NumberFieldBinding</CODE></TD>
</TR>
</TABLE>
&nbsp;
<A NAME="nested_classes_inherited_from_class_er.extensions.eof.ERXEnterpriseObject"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Nested classes/interfaces inherited from interface er.extensions.eof.ERXEnterpriseObject</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>er.extensions.eof.ERXEnterpriseObject.Observer, er.extensions.eof.ERXEnterpriseObject.Processor</CODE></TD>
</TR>
</TABLE>
&nbsp;
<A NAME="nested_classes_inherited_from_class_com.webobjects.eocontrol.EOKeyValueCodingAdditions"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Nested classes/interfaces inherited from interface com.webobjects.eocontrol.EOKeyValueCodingAdditions</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>com.webobjects.eocontrol.EOKeyValueCodingAdditions.DefaultImplementation, com.webobjects.eocontrol.EOKeyValueCodingAdditions.Utility</CODE></TD>
</TR>
</TABLE>
&nbsp;
<A NAME="nested_classes_inherited_from_class_com.webobjects.eocontrol.EOKeyValueCoding"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Nested classes/interfaces inherited from interface com.webobjects.eocontrol.EOKeyValueCoding</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>com.webobjects.eocontrol.EOKeyValueCoding._BestBindingCreation, com.webobjects.eocontrol.EOKeyValueCoding._KeyBindingCreation, com.webobjects.eocontrol.EOKeyValueCoding._StoredForwardingBinding</CODE></TD>
</TR>
</TABLE>
&nbsp;
<A NAME="nested_classes_inherited_from_class_com.webobjects.foundation.NSKeyValueCoding"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Nested classes/interfaces inherited from interface com.webobjects.foundation.NSKeyValueCoding</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>com.webobjects.foundation.NSKeyValueCoding._BooleanFieldBinding, com.webobjects.foundation.NSKeyValueCoding._BooleanMethodBinding, com.webobjects.foundation.NSKeyValueCoding._FieldBinding, com.webobjects.foundation.NSKeyValueCoding._ForwardingBinding, com.webobjects.foundation.NSKeyValueCoding._KeyBinding, com.webobjects.foundation.NSKeyValueCoding._NumberFieldBinding, com.webobjects.foundation.NSKeyValueCoding._NumberMethodBinding, com.webobjects.foundation.NSKeyValueCoding._ReflectionKeyBindingCreation, com.webobjects.foundation.NSKeyValueCoding.ErrorHandling, com.webobjects.foundation.NSKeyValueCoding.MapImplementation, com.webobjects.foundation.NSKeyValueCoding.Null&lt;T&gt;, com.webobjects.foundation.NSKeyValueCoding.UnknownKeyException, com.webobjects.foundation.NSKeyValueCoding.ValueAccessor</CODE></TD>
</TR>
</TABLE>
&nbsp;
<A NAME="nested_classes_inherited_from_class_com.webobjects.foundation.NSValidation"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Nested classes/interfaces inherited from interface com.webobjects.foundation.NSValidation</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>com.webobjects.foundation.NSValidation._MethodBinding, com.webobjects.foundation.NSValidation._ValidationBinding, com.webobjects.foundation.NSValidation.ValidationException</CODE></TD>
</TR>
</TABLE>
&nbsp;
<A NAME="nested_classes_inherited_from_class_com.webobjects.eocontrol._EOPrivateMemento"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Nested classes/interfaces inherited from interface com.webobjects.eocontrol._EOPrivateMemento</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>com.webobjects.eocontrol._EOPrivateMemento.DefaultImplementation</CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;er.extensions.eof.ERXKey&lt;java.lang.Integer&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/cocktail/peche/entity/_EOConstanteBudget.html#ANNEE">ANNEE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/cocktail/peche/entity/_EOConstanteBudget.html#ANNEE_KEY">ANNEE_KEY</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;er.extensions.eof.ERXKey&lt;java.lang.String&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/cocktail/peche/entity/_EOConstanteBudget.html#C_STRUCTURE">C_STRUCTURE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/cocktail/peche/entity/_EOConstanteBudget.html#C_STRUCTURE_KEY">C_STRUCTURE_KEY</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;er.extensions.eof.ERXKey&lt;java.lang.String&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/cocktail/peche/entity/_EOConstanteBudget.html#DOMAINE">DOMAINE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/cocktail/peche/entity/_EOConstanteBudget.html#DOMAINE_KEY">DOMAINE_KEY</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/cocktail/peche/entity/_EOConstanteBudget.html#ENTITY_NAME">ENTITY_NAME</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;er.extensions.eof.ERXKey&lt;java.lang.String&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/cocktail/peche/entity/_EOConstanteBudget.html#LIBELLE_LONG">LIBELLE_LONG</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/cocktail/peche/entity/_EOConstanteBudget.html#LIBELLE_LONG_KEY">LIBELLE_LONG_KEY</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;er.extensions.eof.ERXKey&lt;<A HREF="../../../../org/cocktail/peche/entity/EOElementMaquette.html" title="class in org.cocktail.peche.entity">EOElementMaquette</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/cocktail/peche/entity/_EOConstanteBudget.html#LISTE_ELEMENT_MAQUETTE">LISTE_ELEMENT_MAQUETTE</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/cocktail/peche/entity/_EOConstanteBudget.html#LISTE_ELEMENT_MAQUETTE_KEY">LISTE_ELEMENT_MAQUETTE_KEY</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_er.extensions.eof.ERXGenericRecord"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class er.extensions.eof.ERXGenericRecord</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>_touchSource</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_com.webobjects.eocontrol.EOGenericRecord"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class com.webobjects.eocontrol.EOGenericRecord</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>_CLASS</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_er.extensions.eof.ERXEnterpriseObject"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from interface er.extensions.eof.ERXEnterpriseObject</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>applyRestrictingQualifierOnInsert, DidDeleteProcessor, DidInsertProcessor, DidRevertProcessor, DidUpdateProcessor, FlushCachesProcessor, insertionTrackingLog, KEY_MARKER, log, logMod, tranLogDidDelete, tranLogDidInsert, tranLogDidRevert, tranLogDidUpdate, tranLogMightDelete, tranLogWillDelete, tranLogWillInsert, tranLogWillRevert, tranLogWillUpdate, validation, validationException, WillDeleteProcessor, WillInsertProcessor, WillRevertProcessor, WillUpdateProcessor</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_com.webobjects.eocontrol.EOEnterpriseObject"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from interface com.webobjects.eocontrol.EOEnterpriseObject</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>_CLASS</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_com.webobjects.foundation.NSKeyValueCodingAdditions"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from interface com.webobjects.foundation.NSKeyValueCodingAdditions</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>_KeyPathSeparatorChar, KeyPathSeparator</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_com.webobjects.foundation.NSKeyValueCoding"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from interface com.webobjects.foundation.NSKeyValueCoding</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>NullValue</CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../org/cocktail/peche/entity/_EOConstanteBudget.html#_EOConstanteBudget()">_EOConstanteBudget</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/cocktail/peche/entity/_EOConstanteBudget.html#addToListeElementMaquette(org.cocktail.peche.entity.EOElementMaquette)">addToListeElementMaquette</A></B>(<A HREF="../../../../org/cocktail/peche/entity/EOElementMaquette.html" title="class in org.cocktail.peche.entity">EOElementMaquette</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/cocktail/peche/entity/_EOConstanteBudget.html#addToListeElementMaquetteRelationship(org.cocktail.peche.entity.EOElementMaquette)">addToListeElementMaquetteRelationship</A></B>(<A HREF="../../../../org/cocktail/peche/entity/EOElementMaquette.html" title="class in org.cocktail.peche.entity">EOElementMaquette</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Integer</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/cocktail/peche/entity/_EOConstanteBudget.html#annee()">annee</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../org/cocktail/peche/entity/EOConstanteBudget.html" title="class in org.cocktail.peche.entity">EOConstanteBudget</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/cocktail/peche/entity/_EOConstanteBudget.html#createEOConstanteBudget(com.webobjects.eocontrol.EOEditingContext, java.lang.Integer, java.lang.String)">createEOConstanteBudget</A></B>(com.webobjects.eocontrol.EOEditingContext&nbsp;editingContext,
                        java.lang.Integer&nbsp;annee,
                        java.lang.String&nbsp;cStructure)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/cocktail/peche/entity/EOElementMaquette.html" title="class in org.cocktail.peche.entity">EOElementMaquette</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/cocktail/peche/entity/_EOConstanteBudget.html#createListeElementMaquetteRelationship()">createListeElementMaquetteRelationship</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/cocktail/peche/entity/_EOConstanteBudget.html#cStructure()">cStructure</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/cocktail/peche/entity/_EOConstanteBudget.html#deleteAllListeElementMaquetteRelationships()">deleteAllListeElementMaquetteRelationships</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/cocktail/peche/entity/_EOConstanteBudget.html#deleteListeElementMaquetteRelationship(org.cocktail.peche.entity.EOElementMaquette)">deleteListeElementMaquetteRelationship</A></B>(<A HREF="../../../../org/cocktail/peche/entity/EOElementMaquette.html" title="class in org.cocktail.peche.entity">EOElementMaquette</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/cocktail/peche/entity/_EOConstanteBudget.html#domaine()">domaine</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;com.webobjects.foundation.NSArray&lt;<A HREF="../../../../org/cocktail/peche/entity/EOConstanteBudget.html" title="class in org.cocktail.peche.entity">EOConstanteBudget</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/cocktail/peche/entity/_EOConstanteBudget.html#fetchAllEOConstanteBudgets(com.webobjects.eocontrol.EOEditingContext)">fetchAllEOConstanteBudgets</A></B>(com.webobjects.eocontrol.EOEditingContext&nbsp;editingContext)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;com.webobjects.foundation.NSArray&lt;<A HREF="../../../../org/cocktail/peche/entity/EOConstanteBudget.html" title="class in org.cocktail.peche.entity">EOConstanteBudget</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/cocktail/peche/entity/_EOConstanteBudget.html#fetchAllEOConstanteBudgets(com.webobjects.eocontrol.EOEditingContext, com.webobjects.foundation.NSArray)">fetchAllEOConstanteBudgets</A></B>(com.webobjects.eocontrol.EOEditingContext&nbsp;editingContext,
                           com.webobjects.foundation.NSArray&lt;com.webobjects.eocontrol.EOSortOrdering&gt;&nbsp;sortOrderings)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../org/cocktail/peche/entity/EOConstanteBudget.html" title="class in org.cocktail.peche.entity">EOConstanteBudget</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/cocktail/peche/entity/_EOConstanteBudget.html#fetchEOConstanteBudget(com.webobjects.eocontrol.EOEditingContext, com.webobjects.eocontrol.EOQualifier)">fetchEOConstanteBudget</A></B>(com.webobjects.eocontrol.EOEditingContext&nbsp;editingContext,
                       com.webobjects.eocontrol.EOQualifier&nbsp;qualifier)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../org/cocktail/peche/entity/EOConstanteBudget.html" title="class in org.cocktail.peche.entity">EOConstanteBudget</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/cocktail/peche/entity/_EOConstanteBudget.html#fetchEOConstanteBudget(com.webobjects.eocontrol.EOEditingContext, java.lang.String, java.lang.Object)">fetchEOConstanteBudget</A></B>(com.webobjects.eocontrol.EOEditingContext&nbsp;editingContext,
                       java.lang.String&nbsp;keyName,
                       java.lang.Object&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;com.webobjects.foundation.NSArray&lt;<A HREF="../../../../org/cocktail/peche/entity/EOConstanteBudget.html" title="class in org.cocktail.peche.entity">EOConstanteBudget</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/cocktail/peche/entity/_EOConstanteBudget.html#fetchEOConstanteBudgets(com.webobjects.eocontrol.EOEditingContext, com.webobjects.eocontrol.EOQualifier, com.webobjects.foundation.NSArray)">fetchEOConstanteBudgets</A></B>(com.webobjects.eocontrol.EOEditingContext&nbsp;editingContext,
                        com.webobjects.eocontrol.EOQualifier&nbsp;qualifier,
                        com.webobjects.foundation.NSArray&lt;com.webobjects.eocontrol.EOSortOrdering&gt;&nbsp;sortOrderings)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../org/cocktail/peche/entity/EOConstanteBudget.html" title="class in org.cocktail.peche.entity">EOConstanteBudget</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/cocktail/peche/entity/_EOConstanteBudget.html#fetchRequiredEOConstanteBudget(com.webobjects.eocontrol.EOEditingContext, com.webobjects.eocontrol.EOQualifier)">fetchRequiredEOConstanteBudget</A></B>(com.webobjects.eocontrol.EOEditingContext&nbsp;editingContext,
                               com.webobjects.eocontrol.EOQualifier&nbsp;qualifier)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../org/cocktail/peche/entity/EOConstanteBudget.html" title="class in org.cocktail.peche.entity">EOConstanteBudget</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/cocktail/peche/entity/_EOConstanteBudget.html#fetchRequiredEOConstanteBudget(com.webobjects.eocontrol.EOEditingContext, java.lang.String, java.lang.Object)">fetchRequiredEOConstanteBudget</A></B>(com.webobjects.eocontrol.EOEditingContext&nbsp;editingContext,
                               java.lang.String&nbsp;keyName,
                               java.lang.Object&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;er.extensions.eof.ERXFetchSpecification&lt;<A HREF="../../../../org/cocktail/peche/entity/EOConstanteBudget.html" title="class in org.cocktail.peche.entity">EOConstanteBudget</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/cocktail/peche/entity/_EOConstanteBudget.html#fetchSpec()">fetchSpec</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/cocktail/peche/entity/_EOConstanteBudget.html#libelleLong()">libelleLong</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;com.webobjects.foundation.NSArray&lt;<A HREF="../../../../org/cocktail/peche/entity/EOElementMaquette.html" title="class in org.cocktail.peche.entity">EOElementMaquette</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/cocktail/peche/entity/_EOConstanteBudget.html#listeElementMaquette()">listeElementMaquette</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;com.webobjects.foundation.NSArray&lt;<A HREF="../../../../org/cocktail/peche/entity/EOElementMaquette.html" title="class in org.cocktail.peche.entity">EOElementMaquette</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/cocktail/peche/entity/_EOConstanteBudget.html#listeElementMaquette(com.webobjects.eocontrol.EOQualifier)">listeElementMaquette</A></B>(com.webobjects.eocontrol.EOQualifier&nbsp;qualifier)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;com.webobjects.foundation.NSArray&lt;<A HREF="../../../../org/cocktail/peche/entity/EOElementMaquette.html" title="class in org.cocktail.peche.entity">EOElementMaquette</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/cocktail/peche/entity/_EOConstanteBudget.html#listeElementMaquette(com.webobjects.eocontrol.EOQualifier, boolean)">listeElementMaquette</A></B>(com.webobjects.eocontrol.EOQualifier&nbsp;qualifier,
                     boolean&nbsp;fetch)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;com.webobjects.foundation.NSArray&lt;<A HREF="../../../../org/cocktail/peche/entity/EOElementMaquette.html" title="class in org.cocktail.peche.entity">EOElementMaquette</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/cocktail/peche/entity/_EOConstanteBudget.html#listeElementMaquette(com.webobjects.eocontrol.EOQualifier, com.webobjects.foundation.NSArray, boolean)">listeElementMaquette</A></B>(com.webobjects.eocontrol.EOQualifier&nbsp;qualifier,
                     com.webobjects.foundation.NSArray&lt;com.webobjects.eocontrol.EOSortOrdering&gt;&nbsp;sortOrderings,
                     boolean&nbsp;fetch)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/cocktail/peche/entity/EOConstanteBudget.html" title="class in org.cocktail.peche.entity">EOConstanteBudget</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/cocktail/peche/entity/_EOConstanteBudget.html#localInstanceIn(com.webobjects.eocontrol.EOEditingContext)">localInstanceIn</A></B>(com.webobjects.eocontrol.EOEditingContext&nbsp;editingContext)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../org/cocktail/peche/entity/EOConstanteBudget.html" title="class in org.cocktail.peche.entity">EOConstanteBudget</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/cocktail/peche/entity/_EOConstanteBudget.html#localInstanceIn(com.webobjects.eocontrol.EOEditingContext, org.cocktail.peche.entity.EOConstanteBudget)">localInstanceIn</A></B>(com.webobjects.eocontrol.EOEditingContext&nbsp;editingContext,
                <A HREF="../../../../org/cocktail/peche/entity/EOConstanteBudget.html" title="class in org.cocktail.peche.entity">EOConstanteBudget</A>&nbsp;eo)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/cocktail/peche/entity/_EOConstanteBudget.html#removeFromListeElementMaquette(org.cocktail.peche.entity.EOElementMaquette)">removeFromListeElementMaquette</A></B>(<A HREF="../../../../org/cocktail/peche/entity/EOElementMaquette.html" title="class in org.cocktail.peche.entity">EOElementMaquette</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/cocktail/peche/entity/_EOConstanteBudget.html#removeFromListeElementMaquetteRelationship(org.cocktail.peche.entity.EOElementMaquette)">removeFromListeElementMaquetteRelationship</A></B>(<A HREF="../../../../org/cocktail/peche/entity/EOElementMaquette.html" title="class in org.cocktail.peche.entity">EOElementMaquette</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/cocktail/peche/entity/_EOConstanteBudget.html#setAnnee(java.lang.Integer)">setAnnee</A></B>(java.lang.Integer&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/cocktail/peche/entity/_EOConstanteBudget.html#setCStructure(java.lang.String)">setCStructure</A></B>(java.lang.String&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/cocktail/peche/entity/_EOConstanteBudget.html#setDomaine(java.lang.String)">setDomaine</A></B>(java.lang.String&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/cocktail/peche/entity/_EOConstanteBudget.html#setLibelleLong(java.lang.String)">setLibelleLong</A></B>(java.lang.String&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_er.extensions.eof.ERXGenericRecord"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class er.extensions.eof.ERXGenericRecord</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>_otherStorageBinding, _setPrimaryKeyDictionary, _setUpdateInverseRelationships, _setValueForPrimaryKey, addObjectsToBothSidesOfRelationshipWithKey, addObjectToBothSidesOfRelationshipWithKey, awakeFromClientUpdate, awakeFromFetch, awakeFromInsertion, batchCheckConsistency, batchFaultingRelationshipName, batchFaultingSourceGlobalID, batchFaultingTimeStamp, canDelete, canUpdate, changesFromCommittedSnapshot, checkConsistency, checkMatchingEditingContexts, clearProperties, committedSnapshot, committedSnapshotValueForKey, delete, description, didCopyFromChildInEditingContext, didDelete, didInsert, didRevert, didUpdate, encryptedPrimaryKey, entity, excludeObjectFromPropertyWithKey, flushCaches, foreignKeyForRelationshipWithKey, getClassLog, hasKeyChangedFromCommittedSnapshot, hasKeyChangedFromCommittedSnapshotFromValue, hasKeyChangedFromCommittedSnapshotFromValueToNewValue, hasKeyChangedFromCommittedSnapshotToValue, includeObjectIntoPropertyWithKey, isDeletedEO, isNewEO, isNewObject, isNonNull, isUpdatedObject, isValidatedWhenNested, localesForKey, localInstanceOf, localInstancesOf, localizationShouldFallbackToDefaultLanguage, mightDelete, parentObjectStoreIsObjectStoreCoordinator, permanentGlobalID, permanentGlobalID, primaryKey, primaryKeyAttributeNames, primaryKeyDictionary, primaryKeyInTransaction, rawPrimaryKey, rawPrimaryKeyInTransaction, refetchObjectFromDB, refetchObjectFromDBinEditingContext, removeObjectsFromBothSidesOfRelationshipWithKey, removeObjectsFromPropertyWithKey, self, setBatchFaultingTimestamp, setValidatedWhenNested, shouldTrimSpaces, takeStoredValueForKey, takeValueForKey, takeValueForKey, toLongString, toString, touchFromBatchFaultingSource, trimSpaces, updateFromSnapshot, validateForInsert, validateForSave, validateForUpdate, validateValueForKey, valueForKey, willDelete, willInsert, willReadRelationship, willRevert, willUpdate</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_com.webobjects.eocontrol.EOGenericRecord"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class com.webobjects.eocontrol.EOGenericRecord</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>__setClassDescription, _keyGetBindingForKey, _keySetBindingForKey, _storedKeyGetBindingForKey, _storedKeySetBindingForKey, classDescription, usesDeferredFaultCreation</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_com.webobjects.eocontrol.EOCustomObject"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class com.webobjects.eocontrol.EOCustomObject</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>__classDescription, __clearPendingChanges, __editingContext, __globalID, __hasAuxillaryObservers, __hasPendingChanges, __hasPendingUpdate, __isInitialized, __isPendingDeletion, __isPendingInsertion, __isShared, __lastSnapshot, __originalSnapshot, __retainCount, __setAuxillaryObservers, __setEditingContext, __setGlobalID, __setInitialized, __setLastSnapshot, __setOriginalSnapshot, __setPendingDeletion, __setPendingInsertion, __setPendingUpdate, __setRetainCount, __setShared, _createKeyGetBindingForKey, _createKeySetBindingForKey, _createStoredKeyGetBindingForKey, _createStoredKeySetBindingForKey, _fieldKeyBinding, _forwardingBindingNeededForClass, _methodKeyGetBinding, _methodKeySetBinding, addObjectToPropertyWithKey, allPropertyKeys, attributeKeys, canAccessFieldsDirectly, changesFromSnapshot, classDescriptionForDestinationKey, clearFault, deleteRuleForRelationshipKey, editingContext, entityName, eoDescription, eoShallowDescription, equals, faultHandler, handleQueryWithUnboundKey, handleTakeValueForUnboundKey, hashCode, inverseForRelationshipKey, invokeRemoteMethod, isFault, isReadOnly, isToManyKey, opaqueState, ownsDestinationObjectsForRelationshipKey, prepareValuesForClient, propagateDeleteWithEditingContext, reapplyChangesFromDictionary, removeObjectFromBothSidesOfRelationshipWithKey, removeObjectFromPropertyWithKey, shouldUseStoredAccessors, snapshot, storedValueForKey, takeValueForKeyPath, takeValuesFromDictionary, takeValuesFromDictionaryWithMapping, toManyRelationshipKeys, toOneRelationshipKeys, turnIntoFault, unableToSetNullForKey, userPresentableDescription, validateClientUpdate, validateForDelete, validateTakeValueForKeyPath, valueForKey, valueForKeyPath, valuesForKeys, valuesForKeysWithMapping, willChange, willRead</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.Object</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>getClass, notify, notifyAll, wait, wait, wait</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_com.webobjects.eocontrol.EOEnterpriseObject"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface com.webobjects.eocontrol.EOEnterpriseObject</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>allPropertyKeys, attributeKeys, changesFromSnapshot, classDescription, classDescriptionForDestinationKey, deleteRuleForRelationshipKey, editingContext, entityName, eoDescription, eoShallowDescription, inverseForRelationshipKey, invokeRemoteMethod, isReadOnly, isToManyKey, opaqueState, ownsDestinationObjectsForRelationshipKey, prepareValuesForClient, propagateDeleteWithEditingContext, reapplyChangesFromDictionary, snapshot, toManyRelationshipKeys, toOneRelationshipKeys, userPresentableDescription, willChange</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_com.webobjects.eocontrol.EOKeyValueCodingAdditions"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface com.webobjects.eocontrol.EOKeyValueCodingAdditions</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>takeValuesFromDictionary, takeValuesFromDictionaryWithMapping, valuesForKeys, valuesForKeysWithMapping</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_com.webobjects.foundation.NSKeyValueCodingAdditions"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface com.webobjects.foundation.NSKeyValueCodingAdditions</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>takeValueForKeyPath, valueForKeyPath</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_com.webobjects.eocontrol.EOKeyValueCoding"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface com.webobjects.eocontrol.EOKeyValueCoding</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>storedValueForKey</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_com.webobjects.foundation.NSKeyValueCoding"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface com.webobjects.foundation.NSKeyValueCoding</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>valueForKey</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_com.webobjects.foundation.NSKeyValueCoding.ErrorHandling"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface com.webobjects.foundation.NSKeyValueCoding.ErrorHandling</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>handleQueryWithUnboundKey, handleTakeValueForUnboundKey, unableToSetNullForKey</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_com.webobjects.eocontrol.EORelationshipManipulation"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface com.webobjects.eocontrol.EORelationshipManipulation</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>addObjectToPropertyWithKey, removeObjectFromBothSidesOfRelationshipWithKey, removeObjectFromPropertyWithKey</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_com.webobjects.eocontrol.EOValidation"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface com.webobjects.eocontrol.EOValidation</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>validateClientUpdate, validateForDelete</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_com.webobjects.foundation.NSValidation"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface com.webobjects.foundation.NSValidation</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>validateTakeValueForKeyPath</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_com.webobjects.eocontrol.EOFaulting"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface com.webobjects.eocontrol.EOFaulting</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>clearFault, faultHandler, isFault, turnIntoFault, willRead</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="ENTITY_NAME"><!-- --></A><H3>
ENTITY_NAME</H3>
<PRE>
public static final java.lang.String <B>ENTITY_NAME</B></PRE>
<DL>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../constant-values.html#org.cocktail.peche.entity._EOConstanteBudget.ENTITY_NAME">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="ANNEE"><!-- --></A><H3>
ANNEE</H3>
<PRE>
public static final er.extensions.eof.ERXKey&lt;java.lang.Integer&gt; <B>ANNEE</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="C_STRUCTURE"><!-- --></A><H3>
C_STRUCTURE</H3>
<PRE>
public static final er.extensions.eof.ERXKey&lt;java.lang.String&gt; <B>C_STRUCTURE</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="DOMAINE"><!-- --></A><H3>
DOMAINE</H3>
<PRE>
public static final er.extensions.eof.ERXKey&lt;java.lang.String&gt; <B>DOMAINE</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="LIBELLE_LONG"><!-- --></A><H3>
LIBELLE_LONG</H3>
<PRE>
public static final er.extensions.eof.ERXKey&lt;java.lang.String&gt; <B>LIBELLE_LONG</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="LISTE_ELEMENT_MAQUETTE"><!-- --></A><H3>
LISTE_ELEMENT_MAQUETTE</H3>
<PRE>
public static final er.extensions.eof.ERXKey&lt;<A HREF="../../../../org/cocktail/peche/entity/EOElementMaquette.html" title="class in org.cocktail.peche.entity">EOElementMaquette</A>&gt; <B>LISTE_ELEMENT_MAQUETTE</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="ANNEE_KEY"><!-- --></A><H3>
ANNEE_KEY</H3>
<PRE>
public static final java.lang.String <B>ANNEE_KEY</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="C_STRUCTURE_KEY"><!-- --></A><H3>
C_STRUCTURE_KEY</H3>
<PRE>
public static final java.lang.String <B>C_STRUCTURE_KEY</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="DOMAINE_KEY"><!-- --></A><H3>
DOMAINE_KEY</H3>
<PRE>
public static final java.lang.String <B>DOMAINE_KEY</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="LIBELLE_LONG_KEY"><!-- --></A><H3>
LIBELLE_LONG_KEY</H3>
<PRE>
public static final java.lang.String <B>LIBELLE_LONG_KEY</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="LISTE_ELEMENT_MAQUETTE_KEY"><!-- --></A><H3>
LISTE_ELEMENT_MAQUETTE_KEY</H3>
<PRE>
public static final java.lang.String <B>LISTE_ELEMENT_MAQUETTE_KEY</B></PRE>
<DL>
<DL>
</DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="_EOConstanteBudget()"><!-- --></A><H3>
_EOConstanteBudget</H3>
<PRE>
public <B>_EOConstanteBudget</B>()</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="localInstanceIn(com.webobjects.eocontrol.EOEditingContext)"><!-- --></A><H3>
localInstanceIn</H3>
<PRE>
public <A HREF="../../../../org/cocktail/peche/entity/EOConstanteBudget.html" title="class in org.cocktail.peche.entity">EOConstanteBudget</A> <B>localInstanceIn</B>(com.webobjects.eocontrol.EOEditingContext&nbsp;editingContext)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE>localInstanceIn</CODE> in interface <CODE>er.extensions.eof.ERXEnterpriseObject</CODE><DT><B>Overrides:</B><DD><CODE>localInstanceIn</CODE> in class <CODE>er.extensions.eof.ERXGenericRecord</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="annee()"><!-- --></A><H3>
annee</H3>
<PRE>
public java.lang.Integer <B>annee</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setAnnee(java.lang.Integer)"><!-- --></A><H3>
setAnnee</H3>
<PRE>
public void <B>setAnnee</B>(java.lang.Integer&nbsp;value)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="cStructure()"><!-- --></A><H3>
cStructure</H3>
<PRE>
public java.lang.String <B>cStructure</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setCStructure(java.lang.String)"><!-- --></A><H3>
setCStructure</H3>
<PRE>
public void <B>setCStructure</B>(java.lang.String&nbsp;value)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="domaine()"><!-- --></A><H3>
domaine</H3>
<PRE>
public java.lang.String <B>domaine</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setDomaine(java.lang.String)"><!-- --></A><H3>
setDomaine</H3>
<PRE>
public void <B>setDomaine</B>(java.lang.String&nbsp;value)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="libelleLong()"><!-- --></A><H3>
libelleLong</H3>
<PRE>
public java.lang.String <B>libelleLong</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="setLibelleLong(java.lang.String)"><!-- --></A><H3>
setLibelleLong</H3>
<PRE>
public void <B>setLibelleLong</B>(java.lang.String&nbsp;value)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="listeElementMaquette()"><!-- --></A><H3>
listeElementMaquette</H3>
<PRE>
public com.webobjects.foundation.NSArray&lt;<A HREF="../../../../org/cocktail/peche/entity/EOElementMaquette.html" title="class in org.cocktail.peche.entity">EOElementMaquette</A>&gt; <B>listeElementMaquette</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="listeElementMaquette(com.webobjects.eocontrol.EOQualifier)"><!-- --></A><H3>
listeElementMaquette</H3>
<PRE>
public com.webobjects.foundation.NSArray&lt;<A HREF="../../../../org/cocktail/peche/entity/EOElementMaquette.html" title="class in org.cocktail.peche.entity">EOElementMaquette</A>&gt; <B>listeElementMaquette</B>(com.webobjects.eocontrol.EOQualifier&nbsp;qualifier)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="listeElementMaquette(com.webobjects.eocontrol.EOQualifier, boolean)"><!-- --></A><H3>
listeElementMaquette</H3>
<PRE>
public com.webobjects.foundation.NSArray&lt;<A HREF="../../../../org/cocktail/peche/entity/EOElementMaquette.html" title="class in org.cocktail.peche.entity">EOElementMaquette</A>&gt; <B>listeElementMaquette</B>(com.webobjects.eocontrol.EOQualifier&nbsp;qualifier,
                                                                                 boolean&nbsp;fetch)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="listeElementMaquette(com.webobjects.eocontrol.EOQualifier, com.webobjects.foundation.NSArray, boolean)"><!-- --></A><H3>
listeElementMaquette</H3>
<PRE>
public com.webobjects.foundation.NSArray&lt;<A HREF="../../../../org/cocktail/peche/entity/EOElementMaquette.html" title="class in org.cocktail.peche.entity">EOElementMaquette</A>&gt; <B>listeElementMaquette</B>(com.webobjects.eocontrol.EOQualifier&nbsp;qualifier,
                                                                                 com.webobjects.foundation.NSArray&lt;com.webobjects.eocontrol.EOSortOrdering&gt;&nbsp;sortOrderings,
                                                                                 boolean&nbsp;fetch)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="addToListeElementMaquette(org.cocktail.peche.entity.EOElementMaquette)"><!-- --></A><H3>
addToListeElementMaquette</H3>
<PRE>
public void <B>addToListeElementMaquette</B>(<A HREF="../../../../org/cocktail/peche/entity/EOElementMaquette.html" title="class in org.cocktail.peche.entity">EOElementMaquette</A>&nbsp;object)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="removeFromListeElementMaquette(org.cocktail.peche.entity.EOElementMaquette)"><!-- --></A><H3>
removeFromListeElementMaquette</H3>
<PRE>
public void <B>removeFromListeElementMaquette</B>(<A HREF="../../../../org/cocktail/peche/entity/EOElementMaquette.html" title="class in org.cocktail.peche.entity">EOElementMaquette</A>&nbsp;object)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="addToListeElementMaquetteRelationship(org.cocktail.peche.entity.EOElementMaquette)"><!-- --></A><H3>
addToListeElementMaquetteRelationship</H3>
<PRE>
public void <B>addToListeElementMaquetteRelationship</B>(<A HREF="../../../../org/cocktail/peche/entity/EOElementMaquette.html" title="class in org.cocktail.peche.entity">EOElementMaquette</A>&nbsp;object)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="removeFromListeElementMaquetteRelationship(org.cocktail.peche.entity.EOElementMaquette)"><!-- --></A><H3>
removeFromListeElementMaquetteRelationship</H3>
<PRE>
public void <B>removeFromListeElementMaquetteRelationship</B>(<A HREF="../../../../org/cocktail/peche/entity/EOElementMaquette.html" title="class in org.cocktail.peche.entity">EOElementMaquette</A>&nbsp;object)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="createListeElementMaquetteRelationship()"><!-- --></A><H3>
createListeElementMaquetteRelationship</H3>
<PRE>
public <A HREF="../../../../org/cocktail/peche/entity/EOElementMaquette.html" title="class in org.cocktail.peche.entity">EOElementMaquette</A> <B>createListeElementMaquetteRelationship</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="deleteListeElementMaquetteRelationship(org.cocktail.peche.entity.EOElementMaquette)"><!-- --></A><H3>
deleteListeElementMaquetteRelationship</H3>
<PRE>
public void <B>deleteListeElementMaquetteRelationship</B>(<A HREF="../../../../org/cocktail/peche/entity/EOElementMaquette.html" title="class in org.cocktail.peche.entity">EOElementMaquette</A>&nbsp;object)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="deleteAllListeElementMaquetteRelationships()"><!-- --></A><H3>
deleteAllListeElementMaquetteRelationships</H3>
<PRE>
public void <B>deleteAllListeElementMaquetteRelationships</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="createEOConstanteBudget(com.webobjects.eocontrol.EOEditingContext, java.lang.Integer, java.lang.String)"><!-- --></A><H3>
createEOConstanteBudget</H3>
<PRE>
public static <A HREF="../../../../org/cocktail/peche/entity/EOConstanteBudget.html" title="class in org.cocktail.peche.entity">EOConstanteBudget</A> <B>createEOConstanteBudget</B>(com.webobjects.eocontrol.EOEditingContext&nbsp;editingContext,
                                                        java.lang.Integer&nbsp;annee,
                                                        java.lang.String&nbsp;cStructure)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="fetchSpec()"><!-- --></A><H3>
fetchSpec</H3>
<PRE>
public static er.extensions.eof.ERXFetchSpecification&lt;<A HREF="../../../../org/cocktail/peche/entity/EOConstanteBudget.html" title="class in org.cocktail.peche.entity">EOConstanteBudget</A>&gt; <B>fetchSpec</B>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="fetchAllEOConstanteBudgets(com.webobjects.eocontrol.EOEditingContext)"><!-- --></A><H3>
fetchAllEOConstanteBudgets</H3>
<PRE>
public static com.webobjects.foundation.NSArray&lt;<A HREF="../../../../org/cocktail/peche/entity/EOConstanteBudget.html" title="class in org.cocktail.peche.entity">EOConstanteBudget</A>&gt; <B>fetchAllEOConstanteBudgets</B>(com.webobjects.eocontrol.EOEditingContext&nbsp;editingContext)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="fetchAllEOConstanteBudgets(com.webobjects.eocontrol.EOEditingContext, com.webobjects.foundation.NSArray)"><!-- --></A><H3>
fetchAllEOConstanteBudgets</H3>
<PRE>
public static com.webobjects.foundation.NSArray&lt;<A HREF="../../../../org/cocktail/peche/entity/EOConstanteBudget.html" title="class in org.cocktail.peche.entity">EOConstanteBudget</A>&gt; <B>fetchAllEOConstanteBudgets</B>(com.webobjects.eocontrol.EOEditingContext&nbsp;editingContext,
                                                                                              com.webobjects.foundation.NSArray&lt;com.webobjects.eocontrol.EOSortOrdering&gt;&nbsp;sortOrderings)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="fetchEOConstanteBudgets(com.webobjects.eocontrol.EOEditingContext, com.webobjects.eocontrol.EOQualifier, com.webobjects.foundation.NSArray)"><!-- --></A><H3>
fetchEOConstanteBudgets</H3>
<PRE>
public static com.webobjects.foundation.NSArray&lt;<A HREF="../../../../org/cocktail/peche/entity/EOConstanteBudget.html" title="class in org.cocktail.peche.entity">EOConstanteBudget</A>&gt; <B>fetchEOConstanteBudgets</B>(com.webobjects.eocontrol.EOEditingContext&nbsp;editingContext,
                                                                                           com.webobjects.eocontrol.EOQualifier&nbsp;qualifier,
                                                                                           com.webobjects.foundation.NSArray&lt;com.webobjects.eocontrol.EOSortOrdering&gt;&nbsp;sortOrderings)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="fetchEOConstanteBudget(com.webobjects.eocontrol.EOEditingContext, java.lang.String, java.lang.Object)"><!-- --></A><H3>
fetchEOConstanteBudget</H3>
<PRE>
public static <A HREF="../../../../org/cocktail/peche/entity/EOConstanteBudget.html" title="class in org.cocktail.peche.entity">EOConstanteBudget</A> <B>fetchEOConstanteBudget</B>(com.webobjects.eocontrol.EOEditingContext&nbsp;editingContext,
                                                       java.lang.String&nbsp;keyName,
                                                       java.lang.Object&nbsp;value)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="fetchEOConstanteBudget(com.webobjects.eocontrol.EOEditingContext, com.webobjects.eocontrol.EOQualifier)"><!-- --></A><H3>
fetchEOConstanteBudget</H3>
<PRE>
public static <A HREF="../../../../org/cocktail/peche/entity/EOConstanteBudget.html" title="class in org.cocktail.peche.entity">EOConstanteBudget</A> <B>fetchEOConstanteBudget</B>(com.webobjects.eocontrol.EOEditingContext&nbsp;editingContext,
                                                       com.webobjects.eocontrol.EOQualifier&nbsp;qualifier)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="fetchRequiredEOConstanteBudget(com.webobjects.eocontrol.EOEditingContext, java.lang.String, java.lang.Object)"><!-- --></A><H3>
fetchRequiredEOConstanteBudget</H3>
<PRE>
public static <A HREF="../../../../org/cocktail/peche/entity/EOConstanteBudget.html" title="class in org.cocktail.peche.entity">EOConstanteBudget</A> <B>fetchRequiredEOConstanteBudget</B>(com.webobjects.eocontrol.EOEditingContext&nbsp;editingContext,
                                                               java.lang.String&nbsp;keyName,
                                                               java.lang.Object&nbsp;value)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="fetchRequiredEOConstanteBudget(com.webobjects.eocontrol.EOEditingContext, com.webobjects.eocontrol.EOQualifier)"><!-- --></A><H3>
fetchRequiredEOConstanteBudget</H3>
<PRE>
public static <A HREF="../../../../org/cocktail/peche/entity/EOConstanteBudget.html" title="class in org.cocktail.peche.entity">EOConstanteBudget</A> <B>fetchRequiredEOConstanteBudget</B>(com.webobjects.eocontrol.EOEditingContext&nbsp;editingContext,
                                                               com.webobjects.eocontrol.EOQualifier&nbsp;qualifier)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="localInstanceIn(com.webobjects.eocontrol.EOEditingContext, org.cocktail.peche.entity.EOConstanteBudget)"><!-- --></A><H3>
localInstanceIn</H3>
<PRE>
public static <A HREF="../../../../org/cocktail/peche/entity/EOConstanteBudget.html" title="class in org.cocktail.peche.entity">EOConstanteBudget</A> <B>localInstanceIn</B>(com.webobjects.eocontrol.EOEditingContext&nbsp;editingContext,
                                                <A HREF="../../../../org/cocktail/peche/entity/EOConstanteBudget.html" title="class in org.cocktail.peche.entity">EOConstanteBudget</A>&nbsp;eo)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/_EOConstanteBudget.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;<A HREF="../../../../org/cocktail/peche/entity/_EOElementMaquette.html" title="class in org.cocktail.peche.entity"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?org/cocktail/peche/entity/_EOConstanteBudget.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="_EOConstanteBudget.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_classes_inherited_from_class_er.extensions.eof.ERXGenericRecord">NESTED</A>&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
